glab(1)

NAME
glab-repo-create - Create a new GitLab project/repository.

SYNOPSIS
glab repo create [path] [flags]

DESCRIPTION
Creates the new project with your first configured host in your glab configuration. The host defaults to GitLab.com if not set. To set a host, provide either:

•   A GITLAB_HOST environment variable.

•   A full URL for the project.

OPTIONS
--defaultBranch=""
    Default branch of the project. Defaults to master if not provided.

-d, --description=""
    Description of the new project. Set to "-" to open an editor.

-g, --group=""
    Namespace or group for the new project. Defaults to the current user's namespace.

--internal[=false]
    Make project internal: visible to any authenticated user. Default.

-n, --name=""
    Name of the new project.

-p, --private[=false]
    Make project private: visible only to project members.

-P, --public[=false]
    Make project public: visible without any authentication.

--readme[=false]
    Initialize project with README.md.

--remoteName="origin"
    Remote name for the Git repository you're in. Defaults to origin if not provided.

-s, --skipGitInit[=false]
    Skip run 'git init'.

-t, --tag=[]
    The list of tags for the project.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Create a repository under your account using the current directory name.
    glab repo create
    # Create a repository under a group using the current directory name.
    glab repo create --group glab-cli
    # Create a repository with a specific name.
    glab repo create my-project
    # Create a repository for a group.
    glab repo create glab-cli/my-project
    # Create on a host other than gitlab.com.
    GITLAB_HOST=example.com glab repo create
    glab repo create <host>/path/to/repository

SEE ALSO
glab-repo(1)